<?php


namespace Fastrack\Utilities;


use GuzzleHttp\Client;
use SilverStripe\SiteConfig\SiteConfig;

class GoogleReCaptcha
{

	public static function validate($reCaptchaResponse)
	{
		$config = SiteConfig::current_site_config();
		if ($config->GoogleReCaptchaSecretKey) {
			return self::verifyReCaptcha($reCaptchaResponse, $config->GoogleReCaptchaSecretKey);
		} else {
			return true;
		}
	}

	private static function verifyReCaptcha($reCaptchaResponse, $secretKey)
	{
		$guzzleClient = new Client();
		$rawResponse = $guzzleClient->request('POST', 'https://www.google.com/recaptcha/api/siteverify', [
			'form_params' => [
				'secret' => $secretKey,
				'response' => $reCaptchaResponse,
			]
		])->getBody()->getContents();
		$response = json_decode($rawResponse);
		return $response->success;
	}

}
