<?php


namespace Fastrack\Utilities;


use PlatoCreative\Imgix\Imgix;
use SilverStripe\Assets\File;
use SilverStripe\Core\Environment;
use SilverStripe\Forms\FieldList;
use SilverStripe\ORM\DataObject;

class ModelUtilities
{

	public static function hideHasOneFields(DataObject $dataObject, FieldList $fieldList)
	{
		foreach ($dataObject->hasOne() as $key => $value) {
			$fieldList->removeByName($key . 'ID');
		}
		return $fieldList;
	}

	public static function hideFields(DataObject $dataObject, FieldList $fieldList)
	{
		$class = substr(strrchr($dataObject->getClassName(), '\\'), 1);
		$setting = Environment::getEnv(join('_', ['HIDDEN_FIELDS', $class]));
		if ($setting) {
			$fieldKeys = explode(',', $setting);
			foreach ($fieldKeys as $fieldKey) {
				if (str_contains($fieldKey, '.')) {
					$components = explode('.', $fieldKey);
					$field = [array_pop($components)];
					$fieldList->removeFieldsFromTab(implode('.', $components), $field);
				} else {
					$fieldList->removeByName($fieldKey);
				}
			}
		}
		return $fieldList;
	}

}
