<?php


namespace Fastrack\Utilities\Tasks;


use Fastrack\CalendarEvents\CalendarEvent;
use Fastrack\Location\Place;
use Fastrack\Property\EventRoom;
use Fastrack\Property\Offer;
use Fastrack\Property\Property;
use Fastrack\Property\Restaurant;
use Fastrack\Property\Room;
use SilverStripe\Control\HTTPRequest;
use SilverStripe\Dev\BuildTask;

class PublishProperties extends BuildTask
{

	public function getTitle()
	{
		return 'Publish all properties';
	}

	public function getDescription()
	{
		return 'Publish all properties and sub objects';
	}

	/**
	 * @param HTTPRequest $request
	 */
	public function run($request)
	{
		foreach (EventRoom::get() as $dataObject) {
			$dataObject->publishSingle();
		}
		foreach (Property::get() as $dataObject) {
			$dataObject->publishSingle();
		}
		foreach (Offer::get() as $dataObject) {
			$dataObject->publishSingle();
		}
		foreach (Restaurant::get() as $dataObject) {
			$dataObject->publishSingle();
		}
		foreach (Room::get() as $dataObject) {
			$dataObject->publishSingle();
		}
		foreach (Place::get() as $dataObject) {
			$dataObject->publishSingle();
		}
	}
}
